@import url("https://fonts.googleapis.com/css2?family=Cairo:wght@200..1000&display=swap");

html {
    box-sizing: border-box;
    scroll-behavior: smooth;
    font-size: 100%;
}

*,
*:before,
*:after {
    box-sizing: border-box;
}

:root {
    /* --- colors --- */
    --white: #fff;
    --black: #000;
    --primary: #3191DB;
    --positive: #89BB94;
    --negative: #C86161;
    --warning: #BD8700;
    --depth: #F1F1F8;
    --text: #2A4465;
    --bg-deep: #F7F6F9;
    --bg-light: #FDFDFD;
    --bg-gradient: linear-gradient(110deg, var(--bg-deep) 0%, var(--bg-light) 30%);
    --border: #E6E7F1;
    --secondary-text: #4E5C77;

    /* --- shadows --- */
    --shadow-default: 0px 4px 6px rgba(0, 0, 0, 0.1);
    --shadow-float-1: 0px 19px 12px -16px rgba(0, 0, 0, 0.1);
    /* --- general --- */
    /* - Transition durations */
    --td-sharp: 0.1s;
    --td-fast: 0.2s;
    --td-slow: 0.5s;
    --td-ambiant: 1s;

    /* --- typography --- */
    --font-family-base: "Cairo", sans-serif;
    --font-weight-regular: 400;
    --font-weight-medium: 500;
    --font-weight-semibold: 600;
    --font-weight-bold: 700;
    --font-size-xxs: 0.85rem;
    --font-size-xs: 1rem;
    --font-size-sm: 1.125rem;
    --font-size-base: 1.25rem;
    --font-size-md: 2.125rem;
    --font-size-lg: 2.25rem;
    --line-height-base: 1.4;
}

body {
    margin: 0;
    padding: 0 1rem;
    padding-bottom: 1rem;
    background: var(--bg-gradient);
    font-family: var(--font-family-base);
    font-size: var(--font-size-base);
    font-weight: var(--font-weight-regular);
    line-height: var(--line-height-base);
    color: var(--text);
}

button,
input,
select,
textarea {
    font: inherit;
}

main,
section,
article,
header,
footer,
aside,
nav,
.container,
.wrapper {
    display: flow-root;
}

/* global helper classes */
.wl {
    max-width: 1440px;
    width: 100%;
    margin: 0 auto;
    padding: 0rem 1rem;
}

@media only screen and (max-width: 1024px) {
    .body {
        padding: 0 0.25rem;
    }
}
